MediaWiki:Common.css: Unterschied zwischen den Versionen

Aus ASB-KAB
Zur Navigation springenZur Suche springen
(seitenbreite allgemein (muß auf den einzelseiten wieder entfernt werden))
(bereinigt)
Zeile 5: Zeile 5:
 
     max-width: 800px;
 
     max-width: 800px;
 
  }
 
  }
 
/* Ausdruck: Schrift */
 
 
@media print {
 
    body {
 
      font-family: Arial,Sans,sans-serif;
 
      font-size: 12pt;
 
    }
 
}
 
 
/* Definition der Einrückung mittels ":" */
 
dd { margin-left: 2.5em; }
 
 
/* dd.col1 { margin-left: 0; }*/
 
 
@media print{
 
    dd { margin-left: 1.5em; margin-top: 1em; }
 
}
 
 
  
 
  /* Stylesheet-Ergänzung zu Standard-Navigationsleisten */
 
  /* Stylesheet-Ergänzung zu Standard-Navigationsleisten */
Zeile 92: Zeile 73:
 
  }
 
  }
 
   
 
   
/* Navigationsleisten nicht mit ausdrucken */
 
 
@media print{
 
    .NavFrame {
 
        display: none;
 
    }
 
    .BoxenVerschmelzen {
 
        display: none;
 
    }
 
}
 
 
 
 
 
  /* ASB-Tabellen: Stylesheet für Tabellenränder */
 
  /* ASB-Tabellen: Stylesheet für Tabellenränder */
 
  /* Falls die Tabellenränder ausgeschaltet werden sollen, beide border-style-Werte auf "none" */
 
  /* Falls die Tabellenränder ausgeschaltet werden sollen, beide border-style-Werte auf "none" */
Zeile 111: Zeile 79:
 
  table.asb {
 
  table.asb {
 
     width: 100%;
 
     width: 100%;
    max-width: 800px;
 
 
     margin: 1em 1em 1em 0;
 
     margin: 1em 1em 1em 0;
 
     border-style: none;  /* border-style: solid; */
 
     border-style: none;  /* border-style: solid; */
Zeile 128: Zeile 95:
 
  }
 
  }
  
  @media print {
+
  /* ASB-Tabellen: Verwendung von th in der Notationsspalte */
    table.asb {
 
      border-style: solid !important;
 
    }
 
    table.asb th, table.asb td {
 
      border-style: solid !important;
 
    }
 
}
 
 
/* Verwendung von th in der Notationsspalte */
 
  
 
  table.asb th {
 
  table.asb th {
Zeile 143: Zeile 101:
 
     text-align: left;
 
     text-align: left;
 
     width: 80px;
 
     width: 80px;
     font-family: Courier, "Courier New", monospace;
+
     font-family: "Lucida Console", Courier, "Courier New", monospace;
/*    font-family: "Lucida Console", Courier, "Courier New", monospace;*/
+
    font-size: 110%;
/*    font-size: 110%;*/
 
 
  }
 
  }
  
  @media print {
+
  /* ASB-Tabellen: Spaltenbreite festlegen */
    table.asb th {
 
      font-weight: normal;
 
      text-align: left;
 
      width: 80px;
 
      font-family: Helvetica, Arial, sans-serif;
 
/*       font-size: 100%;*/
 
    }
 
}
 
 
 
/* Spaltenbreite festlegen */
 
 
   
 
   
 
  #col1 {width: 10px;}
 
  #col1 {width: 10px;}
 
   
 
   
/* Tabellenränder nicht ausdrucken */
 
 
@media print{
 
    table.asb, table.asb th, table.asb td {
 
        border-style: none;
 
    }
 
}
 
 
 
 
/* ASB-Tabellen: Stylesheet für Verweisungen */
 
 
div.vw {
 
    text-align: right;
 
    font-style: italic;
 
    line-height: 150%;
 
    background-color: lightgrey;
 
}
 
 
@media print {
 
    div.vw {
 
        text-align: right;
 
        font-style: italic;
 
        line-height: 150%;
 
        font-size: 90%;
 
    }
 
}
 
 
 
 
/* ASB-Tabellen: Stylesheets für Zuweisungen */
 
 
table.asb dt {
 
    font-weight: normal;
 
    color: red;
 
}
 
 
div.zw {
 
    line-height: 150%;
 
}
 
 
@media print {
 
    table.asb dt {
 
        font-weight: normal;
 
    }
 
 
    div.zw {
 
        line-height: 150%;
 
        font-size: 90%;
 
    }
 
}
 
 
 
 
  /* ASB-Tabellen: Schriftstil Klassen 1. und 2. Ordnung */
 
  /* ASB-Tabellen: Schriftstil Klassen 1. und 2. Ordnung */
  
Zeile 225: Zeile 119:
 
     font-weight: bold;
 
     font-weight: bold;
 
  }
 
  }
 
 
  
 
  /* ASB-Tabellen: Abstände oben und unten für Absätze mit Einzug (dd-Tag) korrigieren */
 
  /* ASB-Tabellen: Abstände oben und unten für Absätze mit Einzug (dd-Tag) korrigieren */
Zeile 235: Zeile 127:
 
  }
 
  }
  
 +
/* Definition der Einrückung mittels ":" */
 +
dd {
 +
    margin-left: 2.5em;
 +
}
  
 
+
  /* Zu Navigationszwecken eingefügte Zwischenüberschriften nicht anzeigen */
  /* Zu Navigationszwecken eingefügte Zwischenüberschriften nicht anzeigen und nicht ausdrucken */
 
 
   
 
   
 
  .np {
 
  .np {
Zeile 243: Zeile 138:
 
  }
 
  }
  
@media print{
+
  /* h6-Stil wie h5 */
    .np {
 
        display: none;
 
    }
 
}
 
 
 
 
 
 
 
  /* Inhaltsverzeichnis (table of contents) nicht ausdrucken */
 
 
   
 
   
  @media print{
+
  h6 {
     .toc {
+
     font-size: 100%;
        display: none;
 
    }
 
}
 
 
 
 
 
 
 
/* Ausdruck: Schriftgröße, Tabellenzeilen aneinanderrücken */
 
/* (Korrektur der Einrückung siehe oben) */
 
 
@media print{
 
    body {
 
        font-size: 12pt;
 
    }
 
 
 
    table.asb {
 
        border-width: 0;
 
        margin: 0em 0em 0em 0em;
 
    }
 
 
    table.asb th, table.asb td {
 
        border-width: 0;
 
        margin-top: -3em;
 
        margin-bottom: -3em;
 
        padding: 0em;
 
    }
 
 
    table.asb tr {
 
        margin-top: -3em;
 
        margin-bottom: -3em;
 
        padding: 0em;
 
    }
 
}
 
 
 
/* Ausdruck: Vermeiden von Zeilenumbrüchen innerhalb einer Tabellenzeile */
 
 
 
@media print{
 
    table.asb td {
 
/*        page-break-inside: avoid;*/
 
    }
 
}
 
 
 
/* Ausdruck: Erzwingen von Zeilenumbrüchen vor Tabellenüberschriften */
 
 
@media print{
 
    span.bb {
 
        page-break-before: always;
 
    }
 
 
  }
 
  }
 
+
  h6 .editsection {
  /* Nicht ausdrucken: Seitenüberschrift */
+
     font-size: 100%; font-weight: normal;
/* Nicht ausdrucken: Quellenangabe Website */
 
/* Nicht ausdrucken: Unterseitenangabe */
 
/* Nicht ausdrucken: Quellenangabe URL */
 
/* Nicht ausdrucken: Seitenfuß */
 
/* Nicht ausdrucken: Kategorie */
 
 
@media print{
 
     h1.firstHeading, h3#siteSub, div#contentSub, div.printfooter, #footer, div#mw-normal-catlinks {
 
        display: none;
 
    }
 
 
  }
 
  }
 
 
 
/* h6-Stil wie h5 */
 
 
h6 { font-size: 100%; }
 
h6 .editsection { font-size: 100%; font-weight: normal; }
 
 
 
  
 
  /* Unterdrückung Numerierung in Inhaltsverzeichnissen */
 
  /* Unterdrückung Numerierung in Inhaltsverzeichnissen */
 
   
 
   
 
  .tocnumber {display: none;}
 
  .tocnumber {display: none;}
 
/* Zuständigkeitstabellen: Stylesheet für Tabellenränder unter den einzelnen Tabellenzeilen */
 
 
table.zust {
 
    border-collapse: collapse;
 
}
 
table.zust td {
 
    border-bottom: solid 1px silver;
 
}
 
 
 
  
 
  /* allgemeine Tabellen: Stylesheet für Tabellenränder */
 
  /* allgemeine Tabellen: Stylesheet für Tabellenränder */
Zeile 369: Zeile 179:
 
     vertical-align: top;
 
     vertical-align: top;
 
  }
 
  }
 
 
  
 
  /* Fußnoten */
 
  /* Fußnoten */
Zeile 393: Zeile 201:
 
     -moz-border-radius: 1.5em;
 
     -moz-border-radius: 1.5em;
 
     padding: .3em .6em 0em .6em;
 
     padding: .3em .6em 0em .6em;
    }
+
}
 
   
 
   
 
  .hs-box2 {
 
  .hs-box2 {
Zeile 402: Zeile 210:
 
     padding: .3em .6em 0em .6em;     
 
     padding: .3em .6em 0em .6em;     
 
     background: #f2f2f2;
 
     background: #f2f2f2;
    }
+
}
  
 
  /* Test Verbergen der Suchfelder bei eingebundenen Linkseiten */
 
  /* Test Verbergen der Suchfelder bei eingebundenen Linkseiten */
Zeile 415: Zeile 223:
 
  .vs {
 
  .vs {
 
     background-color: lawngreen;
 
     background-color: lawngreen;
/*    color: green;*/
 
 
  }
 
  }
  
Zeile 422: Zeile 229:
 
  .vsg {
 
  .vsg {
 
     text-decoration: line-through;
 
     text-decoration: line-through;
/*    display: none;*/
 
 
  }
 
  }
  

Version vom 18. Februar 2013, 21:13 Uhr

 /* Seitenbreite allgemein */

 div#bodyContent {
    width: 100%;
    max-width: 800px;
 }

 /* Stylesheet-Ergänzung zu Standard-Navigationsleisten */
 
 div.BoxenVerschmelzen,
 div.NavFrame {
    margin: 0px;
    padding: 2px;
    border: 1px solid #aaaaaa;
    text-align: center;
    border-collapse: collapse;
    font-size: 95%;
        clear:both;
 }
 div.BoxenVerschmelzen div.NavFrame {
    border-style: none;
    border-style: hidden;
 }
 div.NavFrame + div.NavFrame {
    border-top-style: none;
    border-top-style: hidden;
 }
 div.NavPic {
    background-color: #ffffff;
    margin: 0px;
    padding: 2px;
    float: left;
 }
 div.NavFrame div.NavHead {
    height: 1.6em;
    font-weight: bold;
    font-size: 100%;
    background-color: #efefef;
 }
 div.NavFrame p {
    font-size: 100%;
 }
 div.NavFrame div.NavContent {
    font-size: 100%;
 }
 div.NavFrame div.NavContent p {
    font-size: 100%;
 }
 div.NavEnd {
    margin: 0px;
    padding: 0px;
    line-height: 1px;
    clear: both;
 }
 
 /* Stylesheet fuer den 'Ausklappen'-Button an Navileisten, der in [[MediaWiki:Common.js]] implementiert wird */
 .NavToggle {
        font-size: x-small;
        float:right;
 }
 
 /* Abstand vor Navigationsleisten */
 
 div.BoxenVerschmelzen,
 div.NavFrame {
   margin-top: 1.5em;
 }
 div.BoxenVerschmelzen div.NavFrame {
   margin-top: 0;
 }
 div.NavFrame + div.NavFrame {
   margin-top: 0;
 }
 
 /* ASB-Tabellen: Stylesheet für Tabellenränder */
 /* Falls die Tabellenränder ausgeschaltet werden sollen, beide border-style-Werte auf "none" */
 /* setzen, wie dahinter jeweils beispielhaft aufgeführt */
 
 table.asb {
    width: 100%;
    margin: 1em 1em 1em 0;
    border-style: none;   /* border-style: solid; */
    border-width: 1px;
    border-color: #c0c0c0;
    border-collapse: collapse;
    empty-cells: show;
 }
 
 table.asb th, table.asb td {
    border-style: none;   /* border-style: solid; */
    border-width: 1px;
    border-color: #c0c0c0;
    padding: 0.3em;
    vertical-align: top;
 }

 /* ASB-Tabellen: Verwendung von th in der Notationsspalte */

 table.asb th {
    font-weight: normal;
    text-align: left;
    width: 80px;
    font-family: "Lucida Console", Courier, "Courier New", monospace;
    font-size: 110%;
 }

 /* ASB-Tabellen: Spaltenbreite festlegen */
 
 #col1 {width: 10px;}
 
 /* ASB-Tabellen: Schriftstil Klassen 1. und 2. Ordnung */

 span.h1 {
    font-size: 120%;
    font-weight: bold;
 }

 span.h2 {
    font-weight: bold;
 }

 /* ASB-Tabellen: Abstände oben und unten für Absätze mit Einzug (dd-Tag) korrigieren */
 /* und dl-Tag an p-Tag anpassen */

 table.asb p, table.asb dl {
    margin-top: 0em;
 }

 /* Definition der Einrückung mittels ":" */
 dd {
    margin-left: 2.5em;
 }

 /* Zu Navigationszwecken eingefügte Zwischenüberschriften nicht anzeigen */
 
 .np {
    display: none;
 }

 /* h6-Stil wie h5 */
 
 h6 {
    font-size: 100%;
 }
 h6 .editsection {
    font-size: 100%; font-weight: normal;
 }

 /* Unterdrückung Numerierung in Inhaltsverzeichnissen */
 
 .tocnumber {display: none;}

 /* allgemeine Tabellen: Stylesheet für Tabellenränder */
 
 .wikitable {
    width: 95%;
    margin: 1em 1em 1em 0;
    border-style: solid;
    border-width: 1px;
    border-color: #c0c0c0;
    border-collapse: collapse;
    empty-cells: show;
 }
 
 .wikitable th {
    border-style: solid;
    border-width: 1px;
    border-color: #c0c0c0;
    background-color: #d8e8ff;
    padding: 0.3em;
    vertical-align: top;
 }
 
 .wikitable td {
    border-style: solid;
    border-width: 1px;
    border-color: #c0c0c0;
    padding: 0.3em;
    vertical-align: top;
 }

 /* Fußnoten */

 ol.references {
    font-size: 90%;
    width: 100%;
    max-width: 750px;
 }

 table + hr {
    width: 200px;
    text-align: left;
 }

 /*  Formatierung für Elementboxen */
 
 .hs-box1 {
     margin: 0;
     margin-bottom:10px;
     border: 2px solid #dfdfdf;
     -moz-border-radius: 1.5em;
     padding: .3em .6em 0em .6em;
 }
 
 .hs-box2 {
     margin: 0;
     margin-bottom:10px;
     border: 1px solid #dfdfdf;
     -moz-border-radius: 1.5em;
     padding: .3em .6em 0em .6em;     
     background: #f2f2f2;
 }

 /* Test Verbergen der Suchfelder bei eingebundenen Linkseiten */

 div.hide fieldset {
    display: none;
 }

 /* Vorschläge */
 /* Vorschlagsfarbe */

 .vs {
    background-color: lawngreen;
 }

 /* Vorschlag: gestrichener Text */

 .vsg {
    text-decoration: line-through;
 }

 /* externe Vorlagen */

 div.extvorl {
    margin-left: 3em;
    margin-right: 3em;
    background-color: aqua;
 }